<!DOCTYPE html>
<html>
 <head>
	<title></title>
 </head>
 <body>
 	Science Engineering Ethics (2001) 7, 231-238
 	<hr>
    <h1>Software Engineering Code of Ethics and <br>Professional Practice</h1>
	<h2>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and<br>Professional Practices </h2>
	<hr>
	<p><strong>Keywords:</strong>code of ethics, professional responsibility, software engineering</p>

	<h3>PREAMBLE</h3>
   
     <p>The short version of the code summarizes aspirations at a high level of the abstraction; the clauses<br> that are included in the full version give examples and details of how these aspirations change<br> the way we act as software engineering professionals. Without the aspirations, the details can<br> become legalistic and tedious; without the details, the aspirations can become high-sounding<br> but empty; together, the aspirations and the details form a cohesive code.</p>

     <p>Software engineers shall commit themselves to making the analysis, specification, design,<br> development, testing and maintenance of software a beneficial and respected profession. In<br> accordance with their commitment to the health, safety and welfare of the public, software<br>engineers shall adhere to the following Eight Principles:</p>

     <h3>PRINCIPLES</h3>
      
      <p>1. <strong>PUBLIC</strong>– Software engineers shall act consistently with the public interest.<br>
      2. <strong>CLIENT AND EMPLOYER</strong>  – Software engineers shall act in a manner that is in<br> the best interests of their client and employer consistent with the public interest.<br>
      3. <strong>PRODUCT</strong> – Software engineers shall ensure that their products and related<br> modifications meet the highest professional standards possible.<br>
      4. <strong>JUDGMENT</strong> – Software engineers shall maintain integrity and independence in<br> their professional judgment.<br>
      5.<strong>MANAGEMENT</strong> – Software engineering managers and leaders shall subscribe to<br> and promote an ethical approach to the management of software development and maintenance.<br>
      6. <strong>PROFESSION</strong>– Software engineers shall advance the integrity and reputation of the <br>profession consistent with tChe public interest.<br>
      7. <strong>COLLEAGUES</strong> – Software engineers shall be fair to and supportive of their colleagues.<br>
      8. <strong>SELF</strong> – Software engineers shall participate in lifelong learning regarding the practice of<br> their profession and shall promote an ethical approach to the practice of the profession.</p>
     
 </html>